svn commit: r333009 - head/usr.bin/grep

Kyle Evans kevans at FreeBSD.org
Wed Apr 25 18:59:30 UTC 2018


Author: kevans
Date: Wed Apr 25 18:59:29 2018
New Revision: 333009
URL: https://svnweb.freebsd.org/changeset/base/333009

Log:
  <compress>grep: Special case the -V flag
  
  In case we need version information of the ultimately chosen grep, allowing
  `zgrep -V` to operate would be most helpful.

Modified:
  head/usr.bin/grep/zgrep.sh

Modified: head/usr.bin/grep/zgrep.sh
==============================================================================
--- head/usr.bin/grep/zgrep.sh	Wed Apr 25 18:58:38 2018	(r333008)
+++ head/usr.bin/grep/zgrep.sh	Wed Apr 25 18:59:29 2018	(r333009)
@@ -106,6 +106,10 @@ do
 	    silent=1
 	    shift
 	    ;;
+	-V)
+	    ${grep} -V
+	    exit $?
+	    ;;
 	-*)
 	    grep_args="${grep_args} $1"
 	    shift


More information about the svn-src-all mailing list